'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('./../package.json');

var _package2 = _interopRequireDefault(_package);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _copyPaste = require('copy-paste');

var _ = require('./');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var handleOutput = function handleOutput(result) {
  var message = _commander2.default.json ? JSON.stringify(result) : result.join('\n\r');

  console.log(message);

  return _commander2.default.copy ? (0, _pify2.default)(_copyPaste.copy)(message) : Promise.resolve();
};

_commander2.default.version(_package2.default.version).description('Get the dependencies of a package.json').usage('[options] [path]').option('-m, --module <name>', 'Get the package.json of a npm module').option('-u, --url <url>', 'Get the package.json from a url').option('-j, --json', 'Print the dependencies as a JSON').option('-c, --copy', 'Copy the dependencies to the clipboard');

module.exports = function (argv) {
  _commander2.default.parse(argv);

  if (_commander2.default.module) {
    return (0, _.getByName)(_commander2.default.module).then(handleOutput).catch(function (err) {
      return console.error('Could not retrieve the requested package.json file', err);
    });
  }

  if (_commander2.default.url) {
    return (0, _.getByUrl)(_commander2.default.url).then(handleOutput).catch(function (err) {
      return console.error('Could not retrieve the requested package.json file', err);
    });
  }

  return (0, _.getByFile)(_commander2.default.args.shift() || process.cwd()).then(handleOutput).catch(function (err) {
    return console.error('Could not read the required file', err);
  });
};
//# sourceMappingURL=cli.js.map