'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getByFile = getByFile;
exports.getByName = getByName;
exports.getByUrl = getByUrl;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _jsonfile = require('jsonfile');

var _jsonfile2 = _interopRequireDefault(_jsonfile);

var _packageJson = require('package-json');

var _packageJson2 = _interopRequireDefault(_packageJson);

var _got = require('got');

var _got2 = _interopRequireDefault(_got);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var formatData = function formatData(data) {
  return _lodash2.default.keys(data.dependencies).concat(_lodash2.default.keys(data.devDependencies));
};

function getByFile(filePath) {
  return (0, _pify2.default)(_jsonfile2.default).readFile(filePath).then(formatData);
}

function getByName(name) {
  return (0, _packageJson2.default)(name, 'latest').then(formatData);
}

function getByUrl(url) {
  return (0, _got2.default)(url, { json: true }).then(function (_ref) {
    var body = _ref.body;
    return body;
  }).then(formatData);
}
//# sourceMappingURL=index.js.map